Bug 1659173 - [RFE] VDO displays max physical size based on slab size after volume creation
Summary: [RFE] VDO displays max physical size based on slab size after volume creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: vdo
Version: 8.1
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: 8.0
Assignee: sclafani
QA Contact: Filip Suba
URL:
Whiteboard:
Depends On:
Blocks: 1755139
TreeView+ depends on / blocked
 
Reported: 2018-12-13 18:22 UTC by Dennis Keefe
Modified: 2021-09-06 15:29 UTC (History)
6 users (show)

Fixed In Version: 6.2.2.117
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:42:57 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-23935 0 None None None 2021-09-06 15:29:05 UTC
Red Hat Product Errata RHBA-2020:1782 0 None None None 2020-04-28 16:43:13 UTC

Description Dennis Keefe 2018-12-13 18:22:02 UTC
Description of problem:
Unless a user reads the VDO documentation regarding slabs, the supported maximum physical volume size is unknown.   This can limit the expected growth potential in the future.

The default VDO slab size is 2GB.  This will support a physical volume size up to 6TB.   

A message displayed after the VDO volume has been created will inform the user of the supported maximum physical size.

Example Message
“ The VDO volume with a slab size of 2GB can address at most 16TB of physical data.”

Comment 1 Jakub Krysl 2019-10-15 14:38:54 UTC
Mass migration to Filip.

Comment 11 Filip Suba 2020-03-16 13:35:27 UTC
Verified with vdo-6.2.2.117-13.el8.

Creating VDO vdo
      Logical blocks defaulted to 2435905347 blocks.
      The VDO volume can address 9 TB in 4655 data slabs, each 2 GB.
      It can grow to address at most 16 TB of physical storage in 8192 slabs.
      If a larger maximum size might be needed, use bigger slabs.

Comment 14 errata-xmlrpc 2020-04-28 16:42:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1782


Note You need to log in before you can comment on or make changes to this bug.